/*
 * Copyright (c) 2001, DecisionSoft Limited All rights reserved.
 * Please see LICENSE.TXT for more information.
 */

#ifndef _DOMSERIALISE_HPP
#define _DOMSERIALISE_HPP


#include <string.h>
#include <stdlib.h>
#include <iostream>
#include <xercesc/dom/DOMNode.hpp>
#include <xercesc/dom/DOMNodeList.hpp>
#include <xercesc/util/XMLUniDefs.hpp>

/** Outputs a DOMString to the specified stream, after transcoding it
    to the local codepage. **/
std::ostream& operator<<(std::ostream& target, const XMLCh *toWrite);

/** Outputs a DOM_Node and all of its child nodes by serialising them
    to the specified stream, including transcoding to the local
    codepage. **/
std::ostream& operator<<(std::ostream& target, XERCES_CPP_NAMESPACE_QUALIFIER DOMNode *toWrite);

std::ostream& operator<<(std::ostream& target, XERCES_CPP_NAMESPACE_QUALIFIER DOMNodeList *toWrite);

#endif // _DOMSERIALISE_HPP
